> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workspaces

> Creates a new workspaces object with the specified parameters.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /workspaces
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /workspaces:
    post:
      tags:
        - workspaces
      summary: Create workspaces
      description: Creates a new workspaces object with the specified parameters.
      operationId: createworkspaces
      requestBody:
        description: The workspaces entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/workspaces'
        required: true
      responses:
        '201':
          description: workspaces created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workspaces'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    workspaces:
      type: object
      properties:
        Workspaceid:
          description: The Id of the workspace.
          type: string
      required:
        - Workspaceid
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````